Bug 170507 - Review Request: perl-Mail-Mbox-MessageParser
Review Request: perl-Mail-Mbox-MessageParser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
David Lawrence
http://sourceforge.net/projects/m-m-m...
:
Depends On: 170509
Blocks: FE-ACCEPT 170506
  Show dependency treegraph
 
Reported: 2005-10-12 10:23 EDT by Paul Howarth
Modified: 2011-02-06 13:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-12 11:34:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-10-12 10:23:28 EDT
Spec Name or Url: http://www.city-fan.org/~paul/extras/grepmail/perl-Mail-Mbox-MessageParser.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/grepmail/perl-Mail-Mbox-MessageParser-1.4001-1.src.rpm

Description:
Mail::Mbox::MessageParser is a feature-poor but very fast mbox parser. It uses
the best of three strategies for parsing a mailbox: either using cached folder
information, GNU grep, or highly optimized Perl.
Comment 1 Orion Poplawski 2005-10-12 10:46:52 EDT
- Builds clean
- License checks out
- rpmlint is silent

My only suggestion is to perhaps change the Requires to:

Requires:       %{__grep}, %{__gzip}, %{__bzip2}

since that is what you are passing to the makefile.  However, since they
probably always will be provided by grep, gzip, and bzip2, it's not that big of
a deal.

Approved.
Comment 2 Paul Howarth 2005-10-12 11:30:08 EDT
My personal preference is to use package names rather than program pathnames in
deps, but I'm open to being convinced that the latter is better if someone can
cite a good reason (other than the package names possibly changing in the
future, which I'm prepared to deal with in the unlikely event of it happening).

Thanks for the (very quick!) reviews by the way.
Comment 3 Paul Howarth 2005-10-12 11:34:21 EDT
Build on target development succeeded.
Comment 4 Marcela Mašláňová 2011-01-20 11:09:29 EST
Paul if you want to own it in EPEL too, then please add yourself.

Package Change Request
======================
Package Name: perl-Mail-Mbox-MessageParser
New Branches: EL-5 EL-6
Owners: mmaslano ppisar psabata
InitialCC: perl-sig
Comment 5 Paul Howarth 2011-01-20 11:23:05 EST
Is this needed for something that isn't grepmail?

Package Change Request
======================
Package Name: perl-Mail-Mbox-MessageParser
New Branches: el4 el5 el6
Owners: mmaslano ppisar psabata pghmcfc
InitialCC: perl-sig
Comment 6 Jason Tibbitts 2011-01-21 09:07:10 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-01-21 14:25:06 EST
perl-Mail-Mbox-MessageParser-1.5002-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Mail-Mbox-MessageParser-1.5002-6.el6
Comment 8 Fedora Update System 2011-01-21 14:25:13 EST
perl-Mail-Mbox-MessageParser-1.5002-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Mail-Mbox-MessageParser-1.5002-6.el5
Comment 9 Fedora Update System 2011-01-21 14:25:20 EST
perl-Mail-Mbox-MessageParser-1.5002-6.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Mail-Mbox-MessageParser-1.5002-6.el4
Comment 10 Fedora Update System 2011-01-25 13:56:30 EST
perl-Mail-Mbox-MessageParser-1.5002-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2011-02-06 13:25:33 EST
perl-Mail-Mbox-MessageParser-1.5002-6.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-02-06 13:26:24 EST
perl-Mail-Mbox-MessageParser-1.5002-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.